Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.spatial
Class UnprojectedPathType

    Object
      CodeList<E>
          SimpleEnumerationType<PathType>
              PathType
                  UnprojectedPathType

All Implemented Interfaces:
  Serializable, Comparable<PathType>

    public final class UnprojectedPathType

extends PathType

This class serves to contain two constants:

1. PIXEL_STRAIGHT, that indicates that a path between two points should be drawn on the screen as a straight line, regardless of the location or orientation of the vertices.
2. CONTINUOUS_SPLINE, that indicates a spline is to be used to connect points along a path.

These should be used in situations where accuracy is unimportant or the appearance of the path is intended to remain the same, regardless of the current viewport of the map. Note that this applies to both two dimensional and three dimensional displays; in a three dimensional display, the path may cross other objects, but will always appear straight.

See Also:
  Serialized Form

Field Summary
`static UnprojectedPathType` | `CONTINUOUS_SPLINE` The path that connects its points via a continuous (although not necessarily smooth) spline.
`static UnprojectedPathType` | `PIXEL_STRAIGHT` The path that is drawn as screen-straight, regardless of any current projection.

Constructor Summary
`UnprojectedPathType(String name, String description)` Creates a new `UnprojectedPathType` with the given name.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static PathType[]` | `values()` Returns the list of `UnprojectedPathType`s.

Methods inherited from class SimpleEnumerationType
`getDescription, getIcon, getNullIcon, loadIconResource, toString`

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PIXEL_STRAIGHT

    public static final UnprojectedPathType PIXEL_STRAIGHT

  The path that is drawn as screen-straight, regardless of any current projection.

### CONTINUOUS_SPLINE

    public static final UnprojectedPathType CONTINUOUS_SPLINE

  The path that connects its points via a continuous (although not necessarily smooth) spline.

Constructor Detail

### UnprojectedPathType

    public UnprojectedPathType(String name,
                               String description)

  Creates a new `UnprojectedPathType` with the given name.

  Parameters:
    `name` - the short name for the enum.
    `description` - the description for the enum.

Method Detail

### values

    public static PathType[] values()

  Returns the list of `UnprojectedPathType`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Overrides:
    `family` in class `PathType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.